Bug 1461883 - Firefox 52 crashes with segmentation fault unless --sync option is provided
Firefox 52 crashes with segmentation fault unless --sync option is provided
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.9
i686 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Horak
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 10:11 EDT by Jack Lovell
Modified: 2017-12-06 06:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:36:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jprajzne: needinfo+


Attachments (Terms of Use)
GDB log with crash (no --sync option) (12.92 KB, text/plain)
2017-07-05 04:23 EDT, Jack Lovell
no flags Details
New GDB log with extra debuginfos (8.33 KB, text/plain)
2017-07-10 05:19 EDT, Jack Lovell
no flags Details

  None (edit)
Description Jack Lovell 2017-06-15 10:11:38 EDT
Description of problem:
Firefox 52 32-bit crashes repeatably on a number of web pages (including about:support).

Version-Release number of selected component (if applicable):
52.1 and 52.2, i686

How reproducible:
Always

Steps to Reproduce:
1. Install Firefox 52 from repository
2. Open about:support

Actual results:
Firefox closes. When started from a terminal, a segmentation fault is reported.


Expected results:
Firefox should be able to open it's own support page without issues.

Additional info:
Running firefox from the command line with the --sync option appears to prevent this crash (at least on the about:support page), indicating the problem lies somewhere with the graphics/drawing.
Comment 2 Jack Lovell 2017-06-15 12:10:58 EDT
The following webpage causes the tab's content process on 52.2 to crash, even with the --sync option, though the browser survives:
https://wiki.documentfoundation.org/ReleasePlan/5.4
Comment 4 Jack Lovell 2017-07-05 04:23 EDT
Created attachment 1294494 [details]
GDB log with crash (no --sync option)

Steps taken to produce the log:
1. Run gdb /usr/lib/firefox/firefox
2. In gdb, type "run"
3. Open a new tab and nagivate to about:support. This causes the segmentation fault.
4. In gdb, type "backtrace"
5. Finally, type "kill" and then exit gdb
Comment 5 Martin Stransky 2017-07-10 04:59:44 EDT
Thanks. 

#9  0x49d0cfe9 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#10 0x49d0d169 in ?? () from /usr/lib/libgdk-x11-2.0.so.0

The report is missing debug info from the /usr/lib/libgdk-x11-2.0.so.0 library. Please install missing debuginfos (run "debuginfo-install firefox" as root or install that by hand) and attach the backtrace again.
Comment 6 Jack Lovell 2017-07-10 05:19 EDT
Created attachment 1295733 [details]
New GDB log with extra debuginfos

Same process to produce as previous log, but with gdk debuginfos installed.
Comment 7 Jack Lovell 2017-08-17 04:18:56 EDT
The problem still exists with Firefox 52.3.
Comment 8 Jan Kurik 2017-12-06 06:36:11 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.